Vagrant.configure("2") do |config|
{% for vm_name in dict['vm_list'] %}
    config.vm.define "{{ vm_name }}" do |{{ vm_name }}|
        {{ vm_name }}.vm.box        = "{{ dict['vm_settings'][vm_name]['base_box'] }}"
        {{ vm_name }}.vm.hostname   = "{{ dict['vm_settings'][vm_name]['vm_hostname'] }}"
        config.vm.provider "vmware_desktop" do |vmware_provider_setting|
            vmware_provider_setting.gui                             = "{{ dict['vm_settings'][vm_name]['gui_enabled'] }}"
            vmware_provider_setting.ssh_info_public                 = "{{ dict['vm_settings'][vm_name]['ssh_info_public'] }}"
            vmware_provider_setting.base_mac                        = "{{ dict['vm_settings'][vm_name]['base_mac'] }}"
            vmware_provider_setting.vmx["memsize"]                  = "{{ dict['vm_settings'][vm_name]['mem_size'] }}"
            vmware_provider_setting.vmx["numvcpus"]                 = "{{ dict['vm_settings'][vm_name]['num_vcpus'] }}"
            vmware_provider_setting.vmx["cpuid.coresPerSocket"]     = "{{ dict['vm_settings'][vm_name]['cores_per_socket'] }}"
            vmware_provider_setting.vmx["ethernet0.connectionType"] = "{{ dict['vm_settings'][vm_name]['network_type'] }}"
        end
    end
{% endfor %}
end
